import { Component, type InfernoNode } from 'inferno';
import { type Action, type AnyAction, type Store } from 'redux';
export interface Props<A extends Action = AnyAction> {
    store: Store<any, A>;
    children?: InfernoNode;
}
export declare class Provider<A extends Action = AnyAction> extends Component<Props<A>> {
    static displayName: string;
    private readonly store;
    constructor(props: Props<A>, context: any);
    getChildContext(): {
        store: Store<any, A>;
        storeSubscription: null;
    };
    render(): InfernoNode;
    componentWillReceiveProps?(nextProps: Readonly<{
        children?: InfernoNode;
    } & Props<A>>, nextContext: any): void;
}
